/*******************************************************************************
 * Copyright (c) 2008 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/

package com.ibm.icu.text;

//TODO: e4 Needed to compile draw2d plugin

public abstract class BreakIterator {
	public static BreakIterator getLineInstance() {
		return null;
	}
	
	public void setText(String newText) {
		 
	}
	
	public boolean isBoundary(int offset) {
	   return false;
	}
	
	public abstract int next();
	
	public int preceding(int offset) {
		return 0;
	}
	
	public abstract int following(int offset);
}